Package com.arms.api.product_service.pdservice_detail.controller

## Class PdServiceDetailController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<PdServiceDetail,​PdServiceDetailDTO,​PdServiceDetailEntity>
  - - com.arms.api.product_service.pdservice_detail.controller.PdServiceDetailController

-     @RestController
      @RequestMapping("/arms/pdServiceDetail")
      public class PdServiceDetailController
      extends TreeAbstractController<PdServiceDetail,​PdServiceDetailDTO,​PdServiceDetailEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdServiceDetailController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<PdServiceDetailEntity>>` | `addNodeByPdService​(java.lang.Long pdServiceId, PdServiceDetailDTO pdServiceDetailDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.Integer>>` | `deleteFileNode​(java.lang.Long fileId)` | 제품(서비스) 디테일의 파일 단 건 삭제 - (FileRepository, GlobalContentsTreeMap)
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.Integer>>` | `deleteNode​(java.lang.Long pdServiceDetailId)` | 제품(서비스) 디테일 관련 전부 삭제 - (PdServiceDetail, FileRepository, GlobalContentsTreeMap)
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.HashMap<java.lang.String,​java.util.Set<FileRepositoryEntity>>>>` | `getFilesByNode​(javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<PdServiceDetailDTO>>>` | `getNodesByPdService​(java.lang.Long pdServiceId)` |
    `void` | `initialize()` |
    `org.springframework.web.servlet.ModelAndView` | `uploadFileToNode​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest, javax.servlet.http.HttpServletRequest request)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdServiceDetailController

          public PdServiceDetailController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getNodesByPdService

          @GetMapping("getNodes.do/{pdServiceId}")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<PdServiceDetailDTO>>> getNodesByPdService​(@PathVariable("pdServiceId")
                                                                                                                                           java.lang.Long pdServiceId)
                                                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addNodeByPdService

          @PostMapping("addNode.do/{pdServiceId}")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<PdServiceDetailEntity>> addNodeByPdService​(@PathVariable("pdServiceId")
                                                                                                                             java.lang.Long pdServiceId,
                                                                                                                             PdServiceDetailDTO pdServiceDetailDTO)
                                                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### uploadFileToNode

          @PostMapping("/uploadFileToNode.do")
          public org.springframework.web.servlet.ModelAndView uploadFileToNode​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest,
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getFilesByNode

          @GetMapping("/getFilesByNode.do")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.HashMap<java.lang.String,​java.util.Set<FileRepositoryEntity>>>> getFilesByNode​(javax.servlet.http.HttpServletRequest request)
                                                                                                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deleteNode

          @PostMapping("/deleteNode.do/{pdServiceDetailId}")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.Integer>> deleteNode​(@PathVariable("pdServiceDetailId")
                                                                                                                 java.lang.Long pdServiceDetailId)
                                                                                                          throws java.lang.Exception

      제품(서비스) 디테일 관련 전부 삭제 - (PdServiceDetail, FileRepository, GlobalContentsTreeMap)
      Throws:
        `java.lang.Exception`

    - #### deleteFileNode

          @PostMapping("/deleteFileNode.do/{fileId}")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.Integer>> deleteFileNode​(@PathVariable("fileId")
                                                                                                                     java.lang.Long fileId)
                                                                                                              throws java.lang.Exception

      제품(서비스) 디테일의 파일 단 건 삭제 - (FileRepository, GlobalContentsTreeMap)
      Throws:
        `java.lang.Exception`